package com.sf.system.deployment.mapper;

import com.sf.system.deployment.domain.DeploymentWhitelistList;

import java.util.List;

/**
 * 白名单成员列Mapper接口
 * 
 * @author ztzh
 * @date 2024-05-06
 */
public interface DeploymentWhitelistListMapper 
{
    /**
     * 查询白名单成员列
     * 
     * @param id 白名单成员列主键
     * @return 白名单成员列
     */
    public DeploymentWhitelistList selectDeploymentWhitelistListById(Long id);

    /**
     * 查询白名单成员列列表
     * 
     * @param deploymentWhitelistList 白名单成员列
     * @return 白名单成员列集合
     */
    public List<DeploymentWhitelistList> selectDeploymentWhitelistListList(DeploymentWhitelistList deploymentWhitelistList);

    /**
     * 新增白名单成员列
     * 
     * @param deploymentWhitelistList 白名单成员列
     * @return 结果
     */
    public int insertDeploymentWhitelistList(DeploymentWhitelistList deploymentWhitelistList);

    /**
     * 修改白名单成员列
     * 
     * @param deploymentWhitelistList 白名单成员列
     * @return 结果
     */
    public int updateDeploymentWhitelistList(DeploymentWhitelistList deploymentWhitelistList);

    /**
     * 删除白名单成员列
     * 
     * @param id 白名单成员列主键
     * @return 结果
     */
    public int deleteDeploymentWhitelistListById(Long id);

    /**
     * 批量删除白名单成员列
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeploymentWhitelistListByIds(Long[] ids);
}
